Subject: Re: bug#51440: [PATCH 00/10] Declarative static networking interface

From: Ludovic Courtès <[email-masked]>
Date: Fri, 10 Dec 2021 11:51:39 +0100

⹁iH

Vivien Kraus <[email-masked]> skribis:

> The static networking service looks great, but when I tried to assign
> address 2a00:5881:4008:2810::309/64 to my interface, I end up (when
> looking at ip -6 address) with 903::1028:840:8158:2a/64.
>
> Since the bytes are reversed, I would look at guile-netlink and check
> if all byte orders are correct when using bytevectors :)

Julien fixed this interesting bug in Guile-Netlink 1.1.1, which is now
in ‘master’ (thanks!).

I rebased ‘wip-networking-netlink’ to get this fix.

Could you give it another try?

Any other issues left?  If not, I think we could go ahead and merge it!

Thanks,
Ludo’.